Incidencia #43169

action_prob_pre_action_dice_roll() checking action possibility for wrong player

Abrir Fecha: 2021-11-06 22:05 Última actualización: 2021-11-12 18:34

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
1

Details

It seems wrong to me that action_prob_pre_action_dice_roll() checks "is_effect_val_known(EFT_ACTION_ODDS_PCT, act_player, tgt_player, tgt_player, ...". If I understand the functions right, the first player argument 'act_player' is who gets the information. Second and third ones are the the parties of the incident. So the call is like 'tgt_player' attacking 'tgt_player'. Should be 'act_player' attacking 'tgt_player', I think.

Ticket History (3/5 Histories)

2021-11-06 22:05 Updated by: cazfi
  • New Ticket "action_prob_pre_action_dice_roll() checking action possibility for wrong player" created
2021-11-07 00:06 Updated by: kvilhaugsvik
Comentario

I agree that it looks that way. I have sent the author of that code an email to check if we have missed something.

(Edited, 2021-11-07 00:07 Updated by: kvilhaugsvik)
2021-11-08 15:41 Updated by: kvilhaugsvik
  • Propietario Update from (Ninguno) to kvilhaugsvik
  • Resolución Update from Ninguno to Accepted
  • Hito Update from (Ninguno) to 3.1.0
Comentario

Reply To kvilhaugsvik

I have sent the author of that code an email to check if we have missed something.

We didn't miss something.

2021-11-12 18:34 Updated by: kvilhaugsvik
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar